SECTION = "devel"
SUMMARY = "ARM DS-5 gator driver kernel module"
DESCRIPTION = "ARM DS-5 gator driver kernel module"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://LICENSE;md5=b234ee4d69f5fce4486a80fdaf4a4263"

DEPENDS = "virtual/kernel"

inherit module

SRCREV = "0a8102cbcd29a6c82dc57fe22394c1e55eafa0df"
PV = "5.11"
PR = "r0"

SRC_URI = "git://git.linaro.org/arm/ds5/gator.git;protocol=git;subpath=driver \
	file://emtrion_activate_ETM_fwding.patch \
	"

S = "${WORKDIR}/driver"

# This module is only for ARM CPUs
COMPATIBLE_HOST = 'arm.*-linux'

module_do_compile() {
	unset CFLAGS CPPFLAGS CXXFLAGS LDFLAGS
	oe_runmake -C ${STAGING_KERNEL_DIR}   \
		   M=`pwd`   \
		   CC="${KERNEL_CC}" LD="${KERNEL_LD}" \
		   AR="${KERNEL_AR}" \
		   modules
}

module_do_install () {
	install -d ${D}${base_libdir}/modules/${KERNEL_VERSION}/kernel/drivers/gator
	install -m 0644 ${S}/gator*${KERNEL_OBJECT_SUFFIX} ${D}${base_libdir}/modules/${KERNEL_VERSION}/kernel/drivers/gator
}
