#
# Copyright (C) 2012 emtrion GmbH
#
DESCRIPTION = "Image for emtrion Production Update and Rescue System."

PR="r0"

IMAGE_INSTALL = "packagegroup-core-boot ${ROOTFS_PKGMANAGE_BOOTSTRAP} ${CORE_IMAGE_EXTRA_INSTALL}"

IMAGE_INSTALL += "\
	dosfstools \
	e2fsprogs \
	e2fsprogs-mke2fs \
	e2fsprogs-tune2fs \
	parted \
	genext2fs \
	mtd-utils \
	empurs-scripts \
	emtrion-config \
"

IMAGE_LINGUAS = " "

LICENSE = "MIT"

inherit core-image

# this is necessary to add the u-boot header
inherit image_types_uboot

# specify that our image is a gzip compressed cpio archive with u-boot header
IMAGE_TYPES += "cpio.gz.u-boot"
IMAGE_FSTYPES = "cpio.gz.u-boot"

IMAGE_ROOTFS_SIZE = "8192"

LOADADDR_RAMFS_dimm-am335x = "0x81000000"
LOADADDR_RAMFS_dimm-mx6 = "0x11000000"
LOADADDR_RAMFS_dimm-emev2 = "0x42000000"

# we override the oe_mkimage to be able to add the load address
oe_mkimage () {
    mkimage -A ${UBOOT_ARCH} -O linux -T ramdisk -C $2 -n ${IMAGE_NAME} -a ${LOADADDR_RAMFS} \
        -d ${DEPLOY_DIR_IMAGE}/$1 ${DEPLOY_DIR_IMAGE}/$1.u-boot
    ln -sf ${DEPLOY_DIR_IMAGE}/$1.u-boot ${DEPLOY_DIR_IMAGE}/${IMAGE_NAME}.igz
}

# remove not needed ipkg informations
ROOTFS_POSTPROCESS_COMMAND += "remove_packaging_data_files ; "
